org.richfaces.component

## Class UIContextMenu

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIContextMenu

- All Implemented Interfaces:
    javax.faces.component.StateHolder, MenuComponent
  Direct Known Subclasses:
    ContextMenu

      public abstract class UIContextMenu
      extends javax.faces.component.UIComponentBase
      implements MenuComponent

  Author:
    Maksim Kaszynski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DISABLE_DEFAULT_MENU`
    `static java.lang.String` | `ON_CONTEXT_MENU`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface org.richfaces.component.MenuComponent

      `MODE_AJAX, MODE_NONE, MODE_SERVER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIContextMenu()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getAttachTiming()`
    `abstract java.lang.String` | `getAttachTo()`
    `abstract java.lang.String` | `getEvent()`
    `abstract java.lang.Integer` | `getShowDelay()`
    `abstract boolean` | `isAttached()`
    `abstract boolean` | `isDisableDefaultMenu()`
    `abstract void` | `setAttached(boolean b)`
    `abstract void` | `setAttachTiming(java.lang.String attachTo)`
    `abstract void` | `setAttachTo(java.lang.String attachTo)`
    `abstract void` | `setDisableDefaultMenu(boolean disableDefault)`
    `abstract void` | `setEvent(java.lang.String event)`
    `abstract void` | `setShowDelay(java.lang.Integer showDelay)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.MenuComponent

      `getSubmitMode, setSubmitMode`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### ON_CONTEXT_MENU

          public static final java.lang.String ON_CONTEXT_MENU

      See Also:
        Constant Field Values

    - #### DISABLE_DEFAULT_MENU

          public static final java.lang.String DISABLE_DEFAULT_MENU

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIContextMenu

          public UIContextMenu()

  - ### Method Detail

    - #### isAttached

          public abstract boolean isAttached()

    - #### setAttached

          public abstract void setAttached(boolean b)

    - #### getAttachTo

          public abstract java.lang.String getAttachTo()

    - #### setAttachTo

          public abstract void setAttachTo(java.lang.String attachTo)

    - #### getAttachTiming

          public abstract java.lang.String getAttachTiming()

    - #### setAttachTiming

          public abstract void setAttachTiming(java.lang.String attachTo)

    - #### getEvent

          public abstract java.lang.String getEvent()

    - #### setEvent

          public abstract void setEvent(java.lang.String event)

    - #### setShowDelay

          public abstract void setShowDelay(java.lang.Integer showDelay)

    - #### getShowDelay

          public abstract java.lang.Integer getShowDelay()

    - #### isDisableDefaultMenu

          public abstract boolean isDisableDefaultMenu()

    - #### setDisableDefaultMenu

          public abstract void setDisableDefaultMenu(boolean disableDefault)

Copyright © 2014. All Rights Reserved.